Skip to main content
GET
/
api
/
v1
/
services
/
{serviceName}
/
operations
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/services/{serviceName}/operations
import requests

url = "https://api.staging.qyl.dev/api/v1/services/{serviceName}/operations"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/services/{serviceName}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "name": "<string>",
      "request_count": 1,
      "error_count": 1,
      "avg_duration_ms": 123,
      "p99_duration_ms": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

serviceName
string
required

Query Parameters

limit
integer<int32>
default:100

Page size

cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)